Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DSPGST

    java.lang.Object
      org.netlib.lapack.DSPGST

    public class DSPGST

extends java.lang.Object

    DSPGST is a simplified interface to the JLAPACK routine dspgst.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DSPGST reduces a real symmetric-definite generalized eigenproblem
     *  to standard form, using packed storage.
     *
     *  If ITYPE = 1, the problem is A*x = lambda*B*x,
     *  and A is overwritten by inv(U**T)*A*inv(U) or inv(L)*A*inv(L**T)
     *
     *  If ITYPE = 2 or 3, the problem is A*B*x = lambda*x or
     *  B*A*x = lambda*x, and A is overwritten by U*A*U**T or L**T*A*L.
     *
     *  B must have been previously factorized as U**T*U or L*L**T by DPPTRF.
     *
     *  Arguments
     *  =========
     *
     *  ITYPE   (input) INTEGER
     *          = 1: compute inv(U**T)*A*inv(U) or inv(L)*A*inv(L**T);
     *          = 2 or 3: compute U*A*U**T or L**T*A*L.
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored and B is factored as
     *                  U**T*U;
     *          = 'L':  Lower triangle of A is stored and B is factored as
     *                  L*L**T.
     *
     *  N       (input) INTEGER
     *          The order of the matrices A and B.  N >= 0.
     *
     *  AP      (input/output) DOUBLE PRECISION array, dimension (N*(N+1)/2)

     *          On entry, the upper or lower triangle of the symmetric matrix
     *          A, packed columnwise in a linear array.  The j-th column of A
     *          is stored in the array AP as follows:
     *          if UPLO = 'U', AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j;
     *          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = A(i,j) for j<=i<=n.
     *
     *          On exit, if INFO = 0, the transformed matrix, stored in the
     *          same format as A.
     *
     *  BP      (input) DOUBLE PRECISION array, dimension (N*(N+1)/2)
     *          The triangular factor from the Cholesky factorization of B,
     *          stored in the same format as A, as returned by DPPTRF.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DSPGST()`

Method Summary
`static void` | `DSPGST(int itype, java.lang.String uplo, int n, double[] ap, double[] bp, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSPGST

    public DSPGST()

Method Detail

### DSPGST

    public static void DSPGST(int itype,
                              java.lang.String uplo,
                              int n,
                              double[] ap,
                              double[] bp,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD